Debian Bug report logs - #668030
[PATCH] supertransball2: Helping to update to packaging format 3.0

version graph

Package: supertransball2; Maintainer for supertransball2 is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for supertransball2 is src:supertransball2.

Reported by: jari.aalto@cante.net

Date: Sun, 8 Apr 2012 12:09:54 UTC

Severity: wishlist

Tags: patch

Fixed in version supertransball2/1.5-5

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#668030; Package supertransball2. (Sun, 08 Apr 2012 12:10:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to jari.aalto@cante.net:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. (Sun, 08 Apr 2012 12:12:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jari.aalto@cante.net
To: submit@bugs.debian.org
Subject: [PATCH] supertransball2: Helping to update to packaging format 3.0
Date: Sun, 08 Apr 2012 15:04:08 +0300
[Message part 1 (text/plain, inline)]
Package: supertransball2
Severity: wishlist
Tags: patch

Hi,

The dpatch patch management system has been deprecated for some time. The
Lintian currently flags use of dpatch packages as an error. The new 3.0
packaging format is an improved version which, among other things, contains
patch management built-in. For more information, see:

    http://wiki.debian.org/Projects/DebSrc3.0

I had some free time; see attached patch to migrate to new package
format. Note that all files in debian/patches/* are canocalized to
*.patch.

Let me know if there is anything that needs adjusting or if it is ok
to upload this version in a NMU in case you are working on other
issues needing attention.

Thanks,
Jari

[0001-format-3.0.patch (text/x-diff, inline)]
From 21de91e4fa946d24c944e7174afdea2abe19b757 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sun, 8 Apr 2012 15:03:45 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/changelog                                   |   11 +++++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    5 +++--
 debian/menu                                        |    2 +-
 debian/patches/00list                              |    4 ----
 ...akefile => 01_install-target-in-makefile.patch} |    8 ++------
 ..._unix-paths-fixup => 02_unix-paths-fixup.patch} |    8 ++------
 ...fig_patch_fixup => 03_config_patch_fixup.patch} |   10 +++-------
 debian/patches/04_changelevelpack_fixup            |   20 --------------------
 debian/patches/04_changelevelpack_fixup.patch      |   16 ++++++++++++++++
 debian/patches/series                              |    4 ++++
 debian/rules                                       |   13 ++++++++-----
 debian/source/format                               |    1 +
 13 files changed, 52 insertions(+), 52 deletions(-)
 delete mode 100644 debian/patches/00list
 rename debian/patches/{01_install-target-in-makefile => 01_install-target-in-makefile.patch} (82%)
 rename debian/patches/{02_unix-paths-fixup => 02_unix-paths-fixup.patch} (97%)
 rename debian/patches/{03_config_patch_fixup => 03_config_patch_fixup.patch} (66%)
 delete mode 100644 debian/patches/04_changelevelpack_fixup
 create mode 100644 debian/patches/04_changelevelpack_fixup.patch
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/changelog b/debian/changelog
index 6195364..1736e94 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+supertransball2 (1.5-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+  * Correct menu section.
+  * Add Homepage field to control file.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sun, 08 Apr 2012 15:01:45 +0300
+
 supertransball2 (1.5-3) unstable; urgency=low
 
   * Patch to fix config file recreation. (closes: #334841)
diff --git a/debian/compat b/debian/compat
index b8626c4..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-4
+9
diff --git a/debian/control b/debian/control
index 447d195..f8e5e8a 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,9 @@ Source: supertransball2
 Section: games
 Priority: optional
 Maintainer: Gürkan Sengün <gurkan@linuks.mine.nu>
-Build-Depends: debhelper (>= 4.0.0), libsdl-sge-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libsdl1.2-dev, libsdl-sound1.2-dev, dpatch (>= 1.11)
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 9), libsdl-sge-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libsdl1.2-dev, libsdl-sound1.2-dev
+Standards-Version: 3.9.3.1
+Homepage: http://www.braingames.getput.com/stransball2
 
 Package: supertransball2
 Architecture: any
diff --git a/debian/menu b/debian/menu
index da15b19..41cf9ac 100644
--- a/debian/menu
+++ b/debian/menu
@@ -1,2 +1,2 @@
-?package(supertransball2):needs="X11" section="Games/Arcade"\
+?package(supertransball2):needs="X11" section="Games/Strategy"\
   title="Super Transball 2" command="/usr/games/supertransball2"
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 062060a..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,4 +0,0 @@
-01_install-target-in-makefile
-02_unix-paths-fixup
-03_config_patch_fixup
-04_changelevelpack_fixup
diff --git a/debian/patches/01_install-target-in-makefile b/debian/patches/01_install-target-in-makefile.patch
similarity index 82%
rename from debian/patches/01_install-target-in-makefile
rename to debian/patches/01_install-target-in-makefile.patch
index 4237ba8..38f8146 100644
--- a/debian/patches/01_install-target-in-makefile
+++ b/debian/patches/01_install-target-in-makefile.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 01_install-target-in-makefile.dpatch by Gurkan Sengun <gurkan@linuks.mine.nu>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Add an install target to the Makefile and fix binary name
+From: Gurkan Sengun <gurkan@linuks.mine.nu>
+Subject: Add an install target to the Makefile and fix binary name
 
-@DPATCH@
 
 --- supertransball2-1.5.orig/sources/Makefile
 +++ supertransball2-1.5/sources/Makefile
diff --git a/debian/patches/02_unix-paths-fixup b/debian/patches/02_unix-paths-fixup.patch
similarity index 97%
rename from debian/patches/02_unix-paths-fixup
rename to debian/patches/02_unix-paths-fixup.patch
index 4b480b3..7136b8a 100644
--- a/debian/patches/02_unix-paths-fixup
+++ b/debian/patches/02_unix-paths-fixup.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 01_unix-paths-fixup.dpatch by Gurkan Sengun <gurkan@linuks.mine.nu>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: UNIX paths fixup (add and use datadir/confdir)
+From: Gurkan Sengun <gurkan@linuks.mine.nu>
+Subject: UNIX paths fixup (add and use datadir/confdir)
 
-@DPATCH@
 
 --- supertransball2-1.5.orig/sources/configuration.cpp
 +++ supertransball2-1.5/sources/configuration.cpp
diff --git a/debian/patches/03_config_patch_fixup b/debian/patches/03_config_patch_fixup.patch
similarity index 66%
rename from debian/patches/03_config_patch_fixup
rename to debian/patches/03_config_patch_fixup.patch
index c0811b8..eb1b566 100644
--- a/debian/patches/03_config_patch_fixup
+++ b/debian/patches/03_config_patch_fixup.patch
@@ -1,11 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 03_config_patch_fixup JusTiCe8 <justice8@wanadoo.fr>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: patch "UNIX paths fixup" use bad config file checks and makes it to be
-## DP: always recreated with default values.
+From: Unknown
+Subject: patch "UNIX paths fixup" use bad config file checks and makes it to
+ be always recreated with default values.
 
-@DPATCH@
 
 --- supertransball2-1.5.orig/sources/main.cpp
 +++ supertransball2-1.5/sources/main.cpp
diff --git a/debian/patches/04_changelevelpack_fixup b/debian/patches/04_changelevelpack_fixup
deleted file mode 100644
index d915133..0000000
--- a/debian/patches/04_changelevelpack_fixup
+++ /dev/null
@@ -1,20 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 04_changelevelpack_fixup JusTiCe8 <justice8@wanadoo.fr>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: patch "UNIX paths fixup" use bad config file checks and makes it to be
-## DP: always recreated with default values.
-
-@DPATCH@
-
---- supertransball2-1.5.orig/sources/game.cpp
-+++ supertransball2-1.5/sources/game.cpp
-@@ -173,6 +173,8 @@
- 
- 	if (NLEVELS==-1) return false;
- 
-+	chdir(datadir);
-+
- 	switch(STATE) {
- 	case 0:	if (!state_logo_cycle(screen,sx,sy,keyboard)) return false;
- 			break;
diff --git a/debian/patches/04_changelevelpack_fixup.patch b/debian/patches/04_changelevelpack_fixup.patch
new file mode 100644
index 0000000..3d82496
--- /dev/null
+++ b/debian/patches/04_changelevelpack_fixup.patch
@@ -0,0 +1,16 @@
+From: Unknown
+Subject: patch "UNIX paths fixup" use bad config file checks and makes it to
+ be always recreated with default values.
+
+
+--- supertransball2-1.5.orig/sources/game.cpp
++++ supertransball2-1.5/sources/game.cpp
+@@ -173,6 +173,8 @@
+ 
+ 	if (NLEVELS==-1) return false;
+ 
++	chdir(datadir);
++
+ 	switch(STATE) {
+ 	case 0:	if (!state_logo_cycle(screen,sx,sy,keyboard)) return false;
+ 			break;
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..c119c26
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,4 @@
+01_install-target-in-makefile.patch
+02_unix-paths-fixup.patch
+03_config_patch_fixup.patch
+04_changelevelpack_fixup.patch
diff --git a/debian/rules b/debian/rules
index 99dd05b..0addd4e 100755
--- a/debian/rules
+++ b/debian/rules
@@ -8,7 +8,6 @@
 
 PACKAGE = supertransball2
 
-include /usr/share/dpatch/dpatch.make
 
 CFLAGS = -Wall -g
 
@@ -18,25 +17,29 @@ else
 	CFLAGS += -O2
 endif
 
+
+build-arch: build
+build-indep: build
+
 build: build-stamp
 
-build-stamp: patch-stamp
+build-stamp:
 	dh_testdir
 	cd sources && $(MAKE)
 	touch build-stamp
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 	-(cd sources && $(MAKE) clean)
-	rm -f supertransball2
+	rm -f supertransball2 stransball2
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 	cd sources && $(MAKE) install DESTDIR=$(CURDIR)/debian/supertransball2
 	cd sources && $(MAKE) install-data DESTDIR=$(CURDIR)/debian/supertransball2-data
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.9.1


Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#668030; Package supertransball2. (Thu, 10 May 2012 15:18:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. (Thu, 10 May 2012 15:18:16 GMT) Full text and rfc822 format available.

Message #10 received at 668030@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 668030@bugs.debian.org
Cc: 668030-submitter@bugs.debian.org
Subject: Re: Bug#668030: [PATCH] supertransball2: Helping to update to packaging format 3.0
Date: Thu, 10 May 2012 18:16:33 +0300
Have you had a chnace to check the proposed changes in previous mail's
patch:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668030#5

Please Let me know if there is anything that needs adjusting,
Jari




Message sent on to jari.aalto@cante.net:
Bug#668030. (Thu, 10 May 2012 15:18:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#668030; Package supertransball2. (Thu, 01 Nov 2012 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 01 Nov 2012 16:51:03 GMT) Full text and rfc822 format available.

Message #18 received at 668030@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: jari.aalto@cante.net
Cc: 668030@bugs.debian.org
Subject: Bug#668030: [PATCH] supertransball2: Helping to update to packaging format 3.0
Date: Thu, 01 Nov 2012 17:49:15 +0100
[Message part 1 (text/plain, inline)]
Hi Jari,

i intend to adopt supertransball2 on behalf of the Debian Games Team.
This is the third time, after wbar and byzanz, that i adopt a package
for which you have provided a patch. I just wanted to say "Thanks!", and
keep up the good work.

Cheers,

Markus

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Wed, 16 Jan 2013 02:51:09 GMT) Full text and rfc822 format available.

Notification sent to jari.aalto@cante.net:
Bug acknowledged by developer. (Wed, 16 Jan 2013 02:51:09 GMT) Full text and rfc822 format available.

Message #23 received at 668030-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 668030-close@bugs.debian.org
Subject: Bug#668030: fixed in supertransball2 1.5-5
Date: Wed, 16 Jan 2013 02:49:01 +0000
Source: supertransball2
Source-Version: 1.5-5

We believe that the bug you reported is fixed in the latest version of
supertransball2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668030@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated supertransball2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 29 Oct 2012 15:48:17 +0100
Source: supertransball2
Binary: supertransball2 supertransball2-data
Architecture: source amd64 all
Version: 1.5-5
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 supertransball2 - Thrust type of game
 supertransball2-data - data files for supertransball2
Closes: 590636 661457 668030
Changes: 
 supertransball2 (1.5-5) unstable; urgency=low
 .
   * New Maintainer. (Closes: #661457)
   * Switch to package format 3.0 (quilt). Thanks Jari Aalto for the patch!
     (Closes: #668030).
   * Remove patch for command line option -f for fullscreen, it does not work.
     Instead improve supertransball2's manpage and suggest using the ingame key
     combinations ALT+1,2,3,4 or ALT+ENTER to control the video mode.
     (Closes: #590636)
   * Bump compat level to 9 and require debhelper >=9 for automatic hardening
     build flags.
   * Merge the old patches into one and modify the Makefile. Don't link against
     libsdl_sound anymore to avoid a superfluous dependency.
   * debian/control:
   - Add hardening wrapper to Build Depends.
   - Add Vcs-fields and point to supertransball2's git repository at
     git.debian.org.
   - Improve the package description.
   * debian/rules:
   - Use dh sequencer to simplify debian/rules.
   - Split readme.txt in README and changelog and install them in the
     right place.
   - Build with hardening=+all.
   * Add a desktop file, menu file and icons.
   * Update debian/copyright to copyright format 1.0.
Checksums-Sha1: 
 2e6c1431b37ff6db891581b74850a86008fdf664 2150 supertransball2_1.5-5.dsc
 08aab2a815e23933f6ade3cfcd10b50885e82d5c 280265 supertransball2_1.5.orig.tar.gz
 43da319331507cab71b54ce17c0414cdd36011bb 26051 supertransball2_1.5-5.debian.tar.gz
 8caa44cdd71198625a261e1c20e2b068cb08eea8 75314 supertransball2_1.5-5_amd64.deb
 2ad3f47e282671174a6d02312a12990c55c92141 239794 supertransball2-data_1.5-5_all.deb
Checksums-Sha256: 
 7286c27213265d8ef3285729d78238fc8db45ea71741b5723b4dd0e1c01981a3 2150 supertransball2_1.5-5.dsc
 b62a5854cf00807077888a5b0ed41e5cbd191747d2ed40790e9d61dc04a76bd5 280265 supertransball2_1.5.orig.tar.gz
 4682ba453f8629675354988047ceb8ea8fc023ef597a4a106d68ebe4b9f9192d 26051 supertransball2_1.5-5.debian.tar.gz
 3c3793c55f39faf15e9a56343d575caa12c48d7251e5f99d3907f3d0d34996e5 75314 supertransball2_1.5-5_amd64.deb
 866c9efa028a2e9eb38a2771bb01aad29c105b3ce3f2928d73e9812f89288dab 239794 supertransball2-data_1.5-5_all.deb
Files: 
 b28af58ed40a0f66fff294914cde8a40 2150 games optional supertransball2_1.5-5.dsc
 d7dafaca8aa5dcb5d74fbc36789c325b 280265 games optional supertransball2_1.5.orig.tar.gz
 b8b3650d9064fb8d0845b0fae71cd5d1 26051 games optional supertransball2_1.5-5.debian.tar.gz
 91bdf0746c18b5f43655341dc76a3016 75314 games optional supertransball2_1.5-5_amd64.deb
 f986c2b49da9070f429c52eb363c05e2 239794 games optional supertransball2-data_1.5-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ9gczAAoJEHQmOzf1tfkTbmIP+gN1gC+dSMY6+LfHjZPH1rOH
yz9DegFw+iAXJLLZ6PXyf7Kx18OlJc3gdUWEiBKJ0B7oW3yYOn+gjUanmJCSGXs1
vlfrO0qvE1VAV0/uscG783Z3ahN4tauxPGaBn1eEB7BKpfXnnWXC4ZEmbiN1mp3X
agORCAOlq62R1qZx9N0asdwUuhq2RyGwxGVDRpjXCaiuNDK6u9ZcjEx/PWsaKXPA
Zwzejd8l1hdBZbIw+MBLeAOpucjZ6tSHX0H/z90h5b8esbbbiItNyQXIKgiSTm/x
MlVhkLn2uCazjLKxczBzQwY8q2zdeSQacvJPMUOazHfo6E5KbvH+lDK3PK1ql6oL
39djB+P40gWTS40SRHWxVqgsG/lN/G4b1+M0UJhyLRH6zQ/Pj9w2nV6EYGYA1+6d
NvxzSglC4zhOv+zerRkOwe29zGppLVvhXV4bCTMjTlu2Eki7SKXCZyhlrRu4Q+P2
GsAYbiPA5VD5wNXkN720ROfUizBPOhdGZsthZJLFxOTn4RwSGgzZZSOfECkMY2oA
ZwtNDD5Wz23DLftbBGb2uLNKDXKabjpM/hXv20woVtA2S/vwvfG9lioYcUe8RMgF
Hdhf4EvFGK2ixflsRHBK83Kc5B9uBMGm5aaAyUQ80zGdBOD0Bx7s5PGHEnvrg/tR
cP0jBYaVB4W6s7ugOIlV
=ilC5
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:05:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:39:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.